clang-tools 10.0.0

Static Public Member Functions | List of all members
llvm::yaml::MappingTraits< FunctionInfo > Struct Template Reference

## Static Public Member Functions
static void | mapping (IO &IO, FunctionInfo &I)

## Detailed Description

### template<>
struct llvm::yaml::MappingTraits< FunctionInfo >

Definition at line 233 of file YAMLGenerator.cpp.

## Member Function Documentation

## ◆ mapping()

static void llvm::yaml::MappingTraits< FunctionInfo >::mapping | ( | IO & | IO,
|  | FunctionInfo & | I
| ) |  |
| inline static

Definition at line 234 of file YAMLGenerator.cpp.

References clang::doc::FunctionInfo::Access, clang::doc::FunctionInfo::IsMethod, clang::doc::FunctionInfo::Params, clang::doc::FunctionInfo::Parent, clang::doc::FunctionInfo::ReturnType, and llvm::yaml::SymbolInfoMapping().

The documentation for this struct was generated from the following file:

- YAMLGenerator.cpp